When I think about it, I think we aren't getting enough feedback from the community and playerbase. Lots of people play with the
2ccSet but only a few post in at our forum topic. And the feedback we do get is usually either a bug report or a request to add a
specific train.

Personally, I'd like to know what people think about the set, what is good and what is bad. Which things are missing? I'm kinda
referring to more general things like more variety in cargo wagons, livery refits, random liveries, early vehicles, future vehicles, narrow
gauge, maglev, capacities.

Thoughts?

History
#1 - 2011-01-29 13:27 - DJNekkid

probably because there isnt any 'new' updates on bananas. see #2218

#2 - 2011-01-29 16:48 - Voyager1

They ALL know there are nightlies available, heck, most of these people use nightlies. You just can't force them to cooperate more intensly. I could
name at least a dozen people who give me suggestion what to draw but have never said a single word or feedback about gameplay.

#3 - 2011-01-29 16:54 - planetmaker

Quite honestly: The overall feedback on this set is quite large and substantial. You won't get (much) more, except by uploading a new(er) version onto
bananas.

#4 - 2011-01-30 15:08 - V453000

Quickly:

Overall, the train set has some extreme max stats for trains and wagons, which can not really be competed with by other train sets. This might be
attractive for newby and similar players, but hardly for those who seek some more...

1. wagons have extreme capacities
- extremely high capacities over the whole game period, ending with 60t which is about 2x any other train set max
-> makes the train set boring to play with because there is rather less trains
Suggestion: primary wagons should have no more than 40t capacity just like the other sets do.

2. powerful trains as Pennsylvania Railway GG1
- for example the GG1 from 1936. When this engine comes, you do not have any better until 1970 (DB Class 103)
- this makes it especially "feeling like wrong" when you are waiting for better trains for 44 years
Suggestion: make these trains longer, require a caboose or being somehow else penalized. There should be just something for them, or the other
trains remain being just "something" that is added with time, but nobody will ever use it.

3. choices for the endgame
- Siemens ES64U Taurus is the fastest, and the most powerful train at the same time. This leads the player to only one ending point, being able to
make basically no choices. The same applies to passenger TGVs - better, faster, stronger.
Suggestion: Balance the trains to provide choices just like for exaple UKRS (below) does. That is the aspect that brings fun to games with such a train
set instead of just using "the currently best engine". For example, the TGVs could have the most capacity and power, where the faster pax trains would
be faster, but lack capacity and acceleration. This especially applies to cargo trains, but there is a major problem with the Lok2000, Taurus and the
other similar trains. Since they are so powerful already, I do not think even a 160kmh/50000HP train would be more useful than they are.

if I compared the current 2cc set to UKRS:
(I just want to show that I mean by those points above. not like you should copy some other set :))
1. UKRS has "normal" wagons, growing from small 18t wagons sufficient for the first years of the game, strenghtening to 20-25 when the networks get
busier, and reaching a maximum of 30-35 capacity per wagon. A nice feature is a goods triple wagon with 120 goods capacity. That makes the player
choose between a train length suitable for these, or having lower capacity for goods trains instead.

2. trains get better all the time, where there permanently is a choice to use for example faster steamers instead of slower and more powerful
electric/diesel engines

3. endgame has many completely different choices:
- 225kmh with GEC Class 91 + Alstom Pendolino - golden standard
- 160kmh AL10 - extreme power for speed, brilliant choice to make
- 289kmh Eurostar - amazing speed and super power for pax only networks
- 241kmh Wardale - fastest but weak cargo engine, rewarding to use /plugin_assets/redmine_wiki_extensions/images/smile.png (is nice, is a steamer,
is fast) + Costar Hydra for mail
- 498kmh Siemens Transrapid as a lifesaver for pax networks flooded with waiting passengers 
/plugin_assets/redmine_wiki_extensions/images/smile.png

#5 - 2011-02-01 13:00 - Purno

Thanks for your feedback /plugin_assets/redmine_wiki_extensions/images/smile.png My opinion on your points are;

1. It might be a nice idea to reduce wagon capacities indeed. In my game I had short freight wagons loading for ages. Might be fun to see some more
and longer trains.

2. I don't think penalizing good engines would work well. Demanding a longer train length or a caboose car may end up being confusive for players. Of
course a caboose car could be added as option, for those players who want to add some eye-candy or realism. Good engines are already penalized by
their purchase and running costs. How much those have influence on the game depends on the parameter settings. 
One of the strengths of this trainset is being simple to use. There's barely any limitations to trains, apart from a few basic ones.

3. I think only a limited amount of players would actually use the best engine for all their lines. A lot of players like realism or eye-candy, and are
probably using engines which may not be ideal stat-wise. Additionally, since the running and purchase cost are directly calculated based upon the
engine stats, a good engine is always more expensive. If people want to play a game full of TGVs, that's fine, but screenshots show people use a wide
variety of trains. The set uses real-life stats of trains, so balancing by adjusting the stats is not so easy.

#6 - 2011-02-01 13:07 - planetmaker

3. I think only a limited amount of players would actually use the best engine for all their lines. A lot of players like realism or eye-candy, and are

2020-11-25 2/10



probably using engines which may not be ideal stat-wise. Additionally, since the running and purchase cost are directly calculated based upon the
engine stats, a good engine is always more expensive. If people want to play a game full of TGVs, that's fine, but screenshots show people use a
wide variety of trains. The set uses real-life stats of trains, so balancing by adjusting the stats is not so easy.

Looking at the games which people play on an arbitrary server, especially the Welcome server which is open to the general public: a lot and I think
possibly most people just use the best stats whatever. And even irrespective of what players usually use - that's not an issue. But any set should offer
a balanced choice, so that irrespective of preferences not a single vehicle is the best one by all (or most) accounts when referring to their capabilities
as given by the stats.

And you say: "a good engine is always more expensive" - sure. But money very quickly is no point. And having a balanced set IMHO out-weighs some
call for 'realism' in the stats of an engine; especially for an engine as dominant over 40 years as V describes it. Even removing a single engine does
not hurt this set, this set actually least of all.

#7 - 2011-02-01 16:28 - DJNekkid

Im currently playing a testgame, and there are two engines that sort of 'ruin' it. That is the two american way-to-powerful electric engines that come out
too early.
One is the 'bipolar' that come in 1919ish, and goes 144kmh and have ALOT of HP and TE. The other one is that GG1 that come around 1935 -
160kmh, and also LOTS of HP and TE
(Lots is roughtly 4500HP and 4-500TE)

#8 - 2011-02-01 16:30 - V453000

yes, the bipolar is pretty much the same /plugin_assets/redmine_wiki_extensions/images/smile.png but with the major difference that it's "reign" is
much shorter /plugin_assets/redmine_wiki_extensions/images/smile.png and if you intend to remove the GG1, bipolar will have to go as well

#9 - 2011-02-01 16:37 - Voyager1

I know that running costs and purchase costs are calculated by an automated algorithm in DJ's engine spreadsheet. Now, my question is simple:
DJ, can you manually override the algorithm and manually enter a running cost and purchase cost?

If you can, it would be possible to manually drastically increase running and purchase costs for this kind of engines (i.e. 10 times normal). These are
"old" engines from the earlier years and by the time "money won't count" they will become really old and obsolete.

#10 - 2011-02-01 16:45 - V453000

There are basically two major problems in this point...

1. High running costs
- that makes people just adding more wagons to the single engine

2. High construction costs
- it sure makes, that the train is hard to get in the beginning and easier later on, but you do not really know how much income does the player have at
the time when GG1 comes - and since 2cc set is starting from 19th century, at that time one could have billions already
- at the same time, when you have some extremely strong train for 40 years with extremely high costs, the player still wants to get this train, and is
heading towards it. And the problem remains, he still wants it for 40 years.

Addition to point 2.: Players are a bunch of stupid cattle, the only thing they look at is speed, and when power is added, even the less cattle-like players
will pick this train.

#11 - 2011-02-01 16:52 - DJNekkid

Voyager1 wrote:

I know that running costs and purchase costs are calculated by an automated algorithm in DJ's engine spreadsheet. Now, my question is simple:
DJ, can you manually override the algorithm and manually enter a running cost and purchase cost?

If you can, it would be possible to manually drastically increase running and purchase costs for this kind of engines (i.e. 10 times normal). These
are "old" engines from the earlier years and by the time "money won't count" they will become really old and obsolete.

There are two options here. I do not want to do an 'absolute' manual override, but i could make a new 'power type' that let the engine be 50% more
expensive, 100% more, or perhaps even make some "inverted curve", where 1960-1970 is the 'middle point' where electrics get cheaper when we get
close to 2050, and more expensive when we get closer to 1900, and also similar curves for diesel and steam, where steam is opposite. Diesel could
perhaps be quite consistant

#12 - 2011-02-01 17:34 - Voyager1

Sometimes, just sometimes, a manual override is not bad at all. I think you should do just that for these engines. Nobody will mind - OK, except those
"players" that always want the fastest most powerful engines and want it cheapest too - yeah right 
/plugin_assets/redmine_wiki_extensions/images/tongue.png

#13 - 2011-02-02 05:15 - EmperorJake

Increasing the costs is a good idea. It is way better then getting rid of the awesome engines I drew...

#14 - 2011-02-02 05:53 - EmperorJake

The SNCF BB 16000 could fill the gap between GG1 and DB 103.
Its specs are:
Year: 1958
Speed: 160km/h
Power: 5540 hp
TE: 309 kN

It is same speed as the GG1, but somewhat more powerful.

#15 - 2011-02-02 13:27 - V453000

Well, if you create a whole "high league" of powerful trains throughout all of the game, it would be nice 
/plugin_assets/redmine_wiki_extensions/images/smile.png Add some more and it will be good I think.

#16 - 2011-02-02 13:59 - DJNekkid

but either way, what do you think of my idea of changeing runningcosts based on the year of the game? With different 'sweet spots' on the 3 different
fuel types?

Steam is 50% cheaper in <1900 and 100% more expensive in >2000 (0% should then be in roughly 1933)
Electrics is 100% more expensive in <1900 and 50% cheaper in >2000 (0% should then be in roughly 1966)
Diesel could be the same all over, or have a slightly diffrent scale. Perhaps 25% more expensive in 1900 and 25% cheaper in 2000?

#17 - 2011-02-02 14:06 - V453000

makes good sense and seems nice to me >]

#18 - 2011-02-02 14:22 - Purno

That would mean that starting a company in a late year would be more difficult, since you start with the same amount of money ( $0 ) but the trains
available are way more expensive? Not sure that's a desired effect TBH.

I'd still prefer to adjust the running costs and purchase cost based on the stats, though we could adjust the formula so it may return much higher values
for more advanced engines (kinda like costs=stats^x).

#19 - 2011-02-02 14:37 - V453000

it would not have to be hard. You either use not expiring vehicles, OR there should be some cheap and sucky trains to begin with throughout all of the
game

#20 - 2011-02-02 15:06 - DJNekkid

Purno wrote:

That would mean that starting a company in a late year would be more difficult, since you start with the same amount of money ( $0 ) but the trains
available are way more expensive? Not sure that's a desired effect TBH.

I'd still prefer to adjust the running costs and purchase cost based on the stats, though we could adjust the formula so it may return much higher
values for more advanced engines (kinda like costs=stats^x).

The costs already is like that, but it can be heigthened if that is desireable. Btw, max speed is the main factor of the running cost. But i could perhaps
do an emphasis on HP and TE as well.

But i would think that starting a game in the later years actually might be easier, as the non-steam get cheaper, but in the early years are steam cheap.

#21 - 2011-02-02 15:45 - DJNekkid

im looking at it now, but the problem is to raise the number on the fast and powerfull, while keeping the slow and powerfull down to a certain degree
But then again, hmm, the slow and powerfull could drag ALOT of wagons... (i.e. IORE and such)

#22 - 2011-02-02 16:31 - Voyager1

If you ask me, there are only a few engines that stick out. The other ones are fairly balanced. So, IMO, you could just make those few more expensive,
leaving the rest unchanged.

Another suggestion (I don't know if it is viable though):

1. Assign every engine a code representing a multiplier or percentage. I.e. "standard" engines get a 105%, really crappy and simple engines get 101%
and these extra-great-powerful engines get 110%.

2. Each engine's running costs increases by that assigned percentage every year. Those are basically maintenance costs and it is reasonable to
assume that sophisticated engines have greater maintenance costs. I.e. PRR GG1 it not that sophisticated today but it has certainly been that in 1920s
and therefore the cost. OTOH, compared to a 'Lok2000' or 'Taurus', it would have ridiculously low costs.

3. Since running costs will increase as the vehicle ages, players will be encouraged to renew their fleet even before the engines' life span ends,
meaning new expenses for the company.

IMO, this would discourage using only these engines.

#23 - 2011-02-02 17:23 - DJNekkid
- File price1.html added

Take a look at this one.

The MU's might need some adjustment to their TE, as the powered wagons now give TE, so they should probably be lowered quite alot, as thoose
high values for the MU-mus (not the ENG mus) probably have about 1/4th of the given values 
/plugin_assets/redmine_wiki_extensions/images/smile.png That will also mean that the purchase costs will be lower.

#24 - 2011-02-02 19:19 - Voyager1

If you're asking me to take a look, I must confess I don't understand a thing out of that... /plugin_assets/redmine_wiki_extensions/images/biggrin.png

#25 - 2011-02-03 08:14 - Purno

DJNekkid wrote:

The costs already is like that, but it can be heigthened if that is desireable. Btw, max speed is the main factor of the running cost. But i could
perhaps do an emphasis on HP and TE as well.

Max Speed shouldn't be the only factor of the running costs (and purchase cost too, for that matter). All stats like HP, TE, reliability, capacity and max
speed should have their influence on the price. The problem is that the influence of HP depends on the OpenTTD game settings related to acceleration
etc. I'd say HP is at least as important that max speed. However, max speed got a small range (80km/h is rather slow, while 160km/h is incredibly
faster, though it's only double).

I don't know what formula you used, but IMO it should be something like this;
costs = speed^x + HP^x + TE^x + reliability^x + capacity^x

We only gotta find out good values for those x constants /plugin_assets/redmine_wiki_extensions/images/tongue.png

#26 - 2011-02-03 09:21 - Voyager1
I agree with Purno's formula with a small remark: I think it shouldn't contain the reliability factor but the vehicle's age instead.

Let me explain. The reliability is something that can be "fixed" in depots. However, the vehicle's age is what counts more. Older vehicles are more
expensive to maintain (difficult to find appropriate parts, know-how etc.). Basically, (assume it's year 2011.) it's cheaper to maintain a 1990s electric
engine than a 1930s steamer, isn't it? IMO it's more realistic and will provide a greater range for costs. And it also has everything to do with my
previous suggestion above.

#27 - 2011-02-03 09:59 - Purno

A few remarks;

1. Can a NewGRF track the vehicle's age and increase the costs based on that?
2. Your suggestion to increase cost over time to force the player to replace his vehicles to use different ones is both;
    -  Confusing (why do my trains suddenly make a huge loss when it made profit before?)
    -  Unreliable (as a player could replace his engine by a new one of the same type)

3. Reliability has influence on ingame breakdowns of vehicles (for as far as players still have that option enabled). Making a vehicle more reliable costs
money IRL, so it makes sense that reliability does influence the costs for at least a bit.

4. I don't see how a vehicle's running costs increase over time. You aren't paying for maintainance for nothing 
/plugin_assets/redmine_wiki_extensions/images/tongue.png Running costs include repairs to keep the vehicle up and running, right? As long as a
vehicle is still in production (available from the depot) finding parts shouldn't be a problem.

5. Another option, which would end up being less confusive IMO, would be to increase the running cost of a vehicle by a fixed amount once the vehicle
gets marked as "old" (red number in the vehicle list). However, that doesn't prevent the player from replacing the train with the same type, if it's
available. (I always use "Vehicles never expire" myself).

#28 - 2011-02-03 11:21 - Voyager1

I may have explained myself wrong. I didn't mean vehicle's age as for a single vehicle - I meant that vehicle's whole "class". Year 0 would be intro year
of that type of engine. Therefore, an engine that comes in 1935. would have lower costs in the 40s than in the 90s for example. Just ask yourself, how
costly is to maintain an old steamer today? Certainly much more than maintaining a brand new diesel i.e.

#29 - 2011-02-03 11:35 - V453000

I think a great option would be:

1. make the variable steam/diesel/electric running costs as DJ Nekkid says (I would just not make it endlessly increase/decrease when in year e.g.
2800, but make there some cap, so the vehicles remain ubable, only expensive)
2. make an elite class of trains
    -  that would involve GG1, bipolar, DB 103 and other exceptionally strong trains (would need to add some similarly strong trains to the set)
    -  all of the engines would create a standalone time-wise "evolving" trains, getting better and better, so even a super rich company would be buying
better and better trains all the time
    -  this class would be very expensive (mainly to purchase)
    -  the other engines of "lower class" would remain there for other companies who cannot afford to get to the higher class, which is basically there
already at the current 2cc set rev.

3. running costs not to extreme
The only point reached by extreme running costs is that people will start building longer trains, which just supports newby construction style. On the
other hand, some increases would make sense /plugin_assets/redmine_wiki_extensions/images/smile.png I would just not go too far.
#30 - 2011-02-03 12:14 - Purno

Voyager1 wrote:

I may have explained myself wrong. I didn't mean vehicle's age as for a single vehicle - I meant that vehicle's whole "class". Year 0 would be intro
year of that type of engine. Therefore, an engine that comes in 1935. would have lower costs in the 40s than in the 90s for example. Just ask
yourself, how costly is to maintain an old steamer today? Certainly much more than maintaining a brand new diesel i.e.

However, when I'm in 1990 and I'm buying a steamer from the rail depot, I'm buying a new one, not an old one.

Steamers already have a factor increasing the running costs if I'm not mistaken. So the fact that steam is more expensive to run than diesel is already
implemented. Running a steamer today would be just as expensive as running it back in 1930.

Though this is all a tad too detailed perhaps, what I want to prevent is that a company founded in 2000, or perhaps even 3000 for that matter, still can
find some cheaper engines to start with.

Asides from that, I wonder if it's technically possible to increase running costs over time. And I don't think you should change it for a train already
running. Would be kinda crappy if I buy a specific engine because it has cheap running cost, only to find out the running costs have massively
increased over years. I can't remember any set using these kind of mechanics, and I think it'd end up very confusing for players.

I'd stick to a basic formula based upon stats. The price would always be the same, but better engines could be a lot more expensive. (Consider
cost=HP^2, where 100 HP would cost 10,000, but 200 HP would cost 40,000 and 300 HP would cost 90,000)

#31 - 2011-02-03 12:24 - Voyager1

Well, I must confess, your arguments are completely valid.

Sincerely, I don't know any more.

#32 - 2011-02-03 13:02 - DJNekkid

try the todays nightly and see what you think if the new prices.

If you might be intersted in how the price is calculated, here it is (as of now). As you can see the main factors are max speed and HP:
 (Max speed)^2,1
TE^1,1
(HP^1,35)*0,3(*5 if the class is MU, i.e. if it have 'distributed power')
*0,6
(Weight^1,3)*10= sum

Final sum = (Sum^1,08)*0,75

Im still not 100% satisfied with the result, but ateast it is getting somewhere. All in all does it mean that fast and power gets high cost, while slow and
weak gets a low cost. All in all did this result in that the fast/power did get a higher cost, and the weak/slow stayed at where they were.

What i am concidering:
let the TE have a bigger influence
let the power-part have a higher ^ when high then when low, or let that part have a 'starting point' at for example 3000hp so that the 'low and medium'
powered things dont get so influenced by their HP, and perhaps also the same with speed, 120kmh might be a good sweetspot.
go on and experiment

#33 - 2011-02-03 13:56 - DJNekkid

Oki, I think I again might have come up with something meaningful. Slow and weak is now even cheaper, fast and powerfull is somewhat expensive.
The ones inbetween are something inbetween. The 'downside' is that the slow and EXTREMELY powerfull is now expensive as well, but i guess that
isnt really a downside, as thoose are ment to haul LONG trains. A small selection of purchase prices:
Bipolar     200 149
GG1     164 658
IORE     908 842
A4     52 655
IC125     102 882
TGV-SE     277 615
TGV-D     550 558
TGV-T     479 042
ICE3     406 602
Cityrail-v     58 707
Mat36     29 260
ICM 56 897
BM71     177 510
AGV     424 246
AGV-D     523 090

#34 - 2011-02-03 14:12 - Purno

DJNekkid wrote:

Oki, I think I again might have come up with something meaningful. Slow and weak is now even cheaper, fast and powerfull is somewhat
expensive.

That's not a problem. Sounds like you basically only need to increase all costs by a specific factor, which makes everything more expensive, so slow
and weak is back on their previous price level, and fast and powerfull end up being a lot more expensive. Once we got the formula, we only need to
tweak the constants a bit.

Btw, does MU capacity has influence on the costs?

The ones inbetween are something inbetween. The 'downside' is that the slow and EXTREMELY powerfull is now expensive as well, but i guess
that isnt really a downside, as thoose are ment to haul LONG trains.

Slow and extremely powerfull may still have their ocassional uses, even if they're expensive. Players can always set paremeters to increase/reduce
costs. As long as all the prices of the trains are okay relative with each other /plugin_assets/redmine_wiki_extensions/images/smile.png

A small selection of purchase prices:

That's purchase costs, how about running costs? These sound a tad more important. A big company could buy an extremely expensive train, but
there's no use in buying it if can't earn it's running costs back.
#35 - 2011-02-03 15:31 - DJNekkid

I dont think the running costs should be touched too much, they are quite fine imho. Thoose have i spent ALOT of time to finetune and adjust them to
fit the different engines. If anything, perhaps the MU's with high capacity could have abit of pax^x formula, so the ones with higher capacity gets
(exponentially) higher costs then the ones with little capacity. The running costs are VERY MUCH based on top speed. Both because the top speed
usually dictates how much power that engine have, as well as the wear'n'tear on a 300kmh engine is WAY HIGHER (and the parts are way more
expensive, etc) then the ones that go 80kmh.
price1.html 162 KB 2011-02-02 DJNekkid
